<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Social Login Hyva Compatibility
 */
declare(strict_types=1);

namespace Amasty\SocialLoginHyva\ViewModel;

use Hyva\Theme\ViewModel\ReCaptcha as HyvaReCaptcha;
use Magento\Framework\View\Element\Block\ArgumentInterface;

/**
 * Wrapper for check status of recaptcha
 */
class ReCaptcha implements ArgumentInterface
{
    /**
     * @var HyvaReCaptcha
     */
    private HyvaReCaptcha $hyvaReCaptchaViewModel;

    /**
     * @param HyvaReCaptcha $hyvaReCaptchaViewModel
     */
    public function __construct(
        HyvaReCaptcha $hyvaReCaptchaViewModel
    ) {
        $this->hyvaReCaptchaViewModel = $hyvaReCaptchaViewModel;
    }

    /**
     * If reCaptcha is enabled for given section
     *
     * @param string $section
     * @return bool
     */
    public function isReCaptchaEnabled(string $section): bool
    {
        return (
            !empty($this->hyvaReCaptchaViewModel->getLegalNoticeHtml($section))
            || !empty($this->hyvaReCaptchaViewModel->getInputHtml($section))
        );
    }
}
